import { jsx } from "react/jsx-runtime";
import { HeadCircuit as HeadCircuit$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HeadCircuit = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "HeadCircuit", ...props, children: /* @__PURE__ */ jsx(HeadCircuit$1, { weight: variant }) });
  }
);
HeadCircuit.displayName = "HeadCircuit";
Object.assign(HeadCircuit, { isGdsIcon: true });
export {
  HeadCircuit
};
